import bb.cascades 1.3

Container {
    topPadding: ui.sdu(3) // 30
    property double trust
    
    property double lastTranslationX: invisibleLabel.translationY
    
    property double fullTranslationX: ui.du(26)
    property double almostFullTranslationX: ui.du(18)
    property double almostEmptyTranslationX: ui.du(9)
    property double emptyTranslationX: ui.du(1)
    
    property double animationMovement: ui.du(1.5)

    onTrustChanged: {
        console.log(trust)
        if (trust == 4) { lastTranslationX = fullTranslationX }
        else { 
            if (trust == 3) { lastTranslationX = almostFullTranslationX }
            else {
                if (trust == 2) { lastTranslationX = almostEmptyTranslationX }
                else { lastTranslationX = emptyTranslationX }
            }
        }
        translate1.play()            
    }
    horizontalAlignment: HorizontalAlignment.Center
    verticalAlignment: VerticalAlignment.Bottom
    Container {
        horizontalAlignment: HorizontalAlignment.Center
        layout: DockLayout {}
        ImageView {
            imageSource: "asset:///images/trust.png"
            preferredWidth: ui.du(28.9)
        }
        ImageView {
            id: arrow
            imageSource: "asset:///images/arrow.png"
            animations: [
                TranslateTransition {
                    id: translate1
                    toX: lastTranslationX + (Math.random() * animationMovement)
                    duration: 500 + (Math.random() * 500)
                    easingCurve: StockCurve.ElasticOut
                    onEnded: {
                        translate2.toX = lastTranslationX - (Math.random() * animationMovement)
                        translate2.duration = 500 + (Math.random() * 500)
                        translate2.play()
                    }
                },
                TranslateTransition {
                    id: translate2
                    toX: lastTranslationX - (Math.random() * animationMovement)
                    duration: 500 + (Math.random() * 500)
                    easingCurve: StockCurve.ElasticOut
                    onEnded: {
                        translate1.toX = lastTranslationX + (Math.random() * animationMovement)
                        translate1.duration = 500 + (Math.random() * 500)
                        translate3.play()
                    }
                },
                TranslateTransition {
                    id: translate3
                    toX: lastTranslationX
                    duration: 500 + (Math.random() * 500)
                    easingCurve: StockCurve.ElasticOut
                }
            ]
            onCreationCompleted: {
//                translate1.play()
            }
        }
    }
    Container {
        horizontalAlignment: HorizontalAlignment.Center
        Label {
            text: qsTr("Trust-Meter") + Retranslate.onLocaleOrLanguageChanged
        }        
    }
    Label {
        id: invisibleLabel
        visible: false
    }
}
