import bb.cascades 1.3
import bb.system 1.2

Container {
    horizontalAlignment: HorizontalAlignment.Fill
    leftPadding: ui.sdu(3) // 30
    rightPadding: leftPadding
    Container {
        horizontalAlignment: HorizontalAlignment.Fill
        Label {
            text: qsTr("Trust-Meter checkpoint")  + Retranslate.onLocaleOrLanguageChanged
            textStyle.base: SystemDefaults.TextStyles.TitleText
            horizontalAlignment: HorizontalAlignment.Center
        }
        Container {
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            horizontalAlignment: HorizontalAlignment.Center
            Label {
                text: qsTr("Fully discharged once?") + Retranslate.onLocaleOrLanguageChanged
                verticalAlignment: VerticalAlignment.Center
            }
            ImageButton {
                id: fullyDischargedImageButton
                defaultImageSource: _app.getJsonValue("fullyDischargedOnce") ? "asset:///images/checked.png" : "asset:///images/notChecked.png" 
                minWidth: ui.sdu(8) // 81
                verticalAlignment: VerticalAlignment.Center
                onClicked: {
                    if (Number(_app.getJsonValue("maxConsumed")) > (Number(_app.getJsonValue("batterySize")) * 0.8)) {
                        _app.setJsonValue("fullyDischargedOnce", !_app.getJsonValue("fullyDischargedOnce"))
                        defaultImageSource = _app.getJsonValue("fullyDischargedOnce") ? "asset:///images/checked.png" : "asset:///images/notChecked.png"
                    }
                    else {
                        if (_app.getJsonValue("fullyDischargedOnce")) {
                            _app.setJsonValue("fullyDischargedOnce", !_app.getJsonValue("fullyDischargedOnce"))
                            defaultImageSource = _app.getJsonValue("fullyDischargedOnce") ? "asset:///images/checked.png" : "asset:///images/notChecked.png"
                        }
                        else {
                            systemDialog.show()
                        }
                    }
                }
                attachedObjects: [
                    SystemDialog {
                        id: systemDialog
                        title: qsTr("Are you sure?") + Retranslate.onLocaleOrLanguageChanged
                        body: qsTr("Volt data doesn't look normal, your maximum mAh consumed during a single discharge is less than 80% of your battery size, which is odd. Are you sure you did a full discharge cycle without plugging the USB even once?") + Retranslate.onLocaleOrLanguageChanged
                        confirmButton.label: qsTr("I'm sure") + Retranslate.onLocaleOrLanguageChanged
                        confirmButton.enabled: true
                        cancelButton.label: qsTr("Cancel") + Retranslate.onLocaleOrLanguageChanged
                        cancelButton.enabled: true
                        onFinished: {
                            if (result == SystemUiResult.ConfirmButtonSelection) {
                                _app.setJsonValue("fullyDischargedOnce", !_app.getJsonValue("fullyDischargedOnce"))
                                fullyDischargedImageButton.defaultImageSource = _app.getJsonValue("fullyDischargedOnce") ? "asset:///images/checked.png" : "asset:///images/notChecked.png"
                            }
                        }
                    }
                ]
            }
        }
        Container {
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            horizontalAlignment: HorizontalAlignment.Center
            Label {
                text: qsTr("Unplugged at 97% or more?") + Retranslate.onLocaleOrLanguageChanged
                verticalAlignment: VerticalAlignment.Center
            }
            ImageView {
                id: unpluggedImageView
                verticalAlignment: VerticalAlignment.Center
            }
        }
        Container {
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            horizontalAlignment: HorizontalAlignment.Center
            Label {
                text: qsTr("Phone isn't charging?") + Retranslate.onLocaleOrLanguageChanged
                verticalAlignment: VerticalAlignment.Center
            }
            ImageView {
                id: phoneIsntChargingImageView
                verticalAlignment: VerticalAlignment.Center
            }
        }
        TrustMeter {
            horizontalAlignment: HorizontalAlignment.Center
            trust: _app.trustMeter
            onTrustChanged: {
                phoneIsntChargingImageView.imageSource = _app.isCharging() ? "asset:///images/notChecked.png" : "asset:///images/checked.png"
                unpluggedImageView.imageSource = _app.getJsonValue("saveDataToMap") ? "asset:///images/checked.png" : "asset:///images/notChecked.png"
                trustMeterReason.reason = _app.getJsonValue("trustMeterReason").toString()
                translate1.play()
            }
        }
        Label {
            property string reason
            id: trustMeterReason
            onCreationCompleted: reason = _app.getJsonValue("trustMeterReason").toString()
            onReasonChanged: {
            console.log("*** Reason was changed : " + reason)
                visible = (reason != "false")
                if (reason == "reason0")
                    text = qsTr("Volt thinks that your battery should already been dead at this point, but it's not. There have been an error in the way Volt calculated your battery life.") + Retranslate.onLocaleOrLanguageChanged
                if (reason == "reason1")
                    text = qsTr("Volt doesn't have enough data, so it started with the same percent as your phone. This method is highly unreliable.") + Retranslate.onLocaleOrLanguageChanged
                if (reason == "reason2")
                    text = qsTr("Your phone is stating a 0% battery charge left, so Volt can't estimate your battery life.") + Retranslate.onLocaleOrLanguageChanged
                if (reason == "reason3")
                    text = qsTr("While you did a full discharge cycle in the past, your phone never went to 10% or lower while Volt was recording data. This is needed to calculate a good estimate of your battery life.") + Retranslate.onLocaleOrLanguageChanged
                if (reason == "reason4")
                    text = qsTr("Volt have just enough data to calculate an estimate of your remaining battery life, but this estimate can't be fully trusted.") + Retranslate.onLocaleOrLanguageChanged
                if (reason == "reason5")
                    text = qsTr("Volt have enough data to calculate a good estimate of your remaining battery life, but your phone is charging and it can alter the estimate.") + Retranslate.onLocaleOrLanguageChanged
                if (reason == "reason6")
                    text = qsTr("Your phone was unplugged while your phone is stating a 0% battery charge left.") + Retranslate.onLocaleOrLanguageChanged
                if (reason == "reason7")
                    text = qsTr("Your phone was unplugged while the battery wasn't fully charged (phone battery showing less than 97%), but Volt have enough data to calculate a good estimate of your remaining battery life.") + Retranslate.onLocaleOrLanguageChanged
                if (reason == "reason8")
                    text = qsTr("You haven't done a full discharge cycle yet.") + Retranslate.onLocaleOrLanguageChanged
                if (reason == "reason9")
                    text = qsTr("Volt data is reliable.") + Retranslate.onLocaleOrLanguageChanged                                    
            }
            /*
            text: {
                visible = (text != "false")
                //                var reason = _app.getJsonValue("trustMeterReason").toString()
                if (text == "reason0")
                    setText(qsTr("Volt thinks that your battery should already been dead at this point, but it's not. There have been an error in the way Volt calculated your battery life.") + Retranslate.onLocaleOrLanguageChanged)
                if (text == "reason1")
                    text = qsTr("Volt doesn't have enough data, so it started with the same percent as your phone. This method is highly unreliable.") + Retranslate.onLocaleOrLanguageChanged
                if (text == "reason2")
                    text = qsTr("Your phone is stating a 0% battery charge left, so Volt can't estimate your battery life.") + Retranslate.onLocaleOrLanguageChanged
                if (text == "reason3")
                    text = qsTr("While you did a full discharge cycle in the past, your phone never went to 10% or lower while Volt was recording data. This is needed to calculate a good estimate of your battery life.") + Retranslate.onLocaleOrLanguageChanged
                if (text == "reason4")
                    text = qsTr("Volt have just enough data to calculate an estimate of your remaining battery life, but this estimate can't be fully trusted.") + Retranslate.onLocaleOrLanguageChanged
                if (text == "reason5")
                    setText(qsTr("Volt have enough data to calculate a good estimate of your remaining battery life, but your phone is charging and it can alter the estimate.") + Retranslate.onLocaleOrLanguageChanged)
                if (text == "reason6")
                    text = qsTr("Your phone was unplugged while your phone is stating a 0% battery charge left.") + Retranslate.onLocaleOrLanguageChanged
                if (text == "reason7")
                    setText(qsTr("Your phone was unplugged while the battery wasn't fully charged (phone battery showing less than 97%), but Volt have enough data to calculate a good estimate of your remaining battery life.") + Retranslate.onLocaleOrLanguageChanged)
                if (text == "reason8")
                    text = qsTr("You haven't done a full discharge cycle yet.") + Retranslate.onLocaleOrLanguageChanged
                if (text == "reason9")
                    text = qsTr("Volt data is reliable.") + Retranslate.onLocaleOrLanguageChanged                    
            }
*/
            multiline: true
            visible: (text != "false")
            textStyle.color: Color.DarkGray
            horizontalAlignment: HorizontalAlignment.Center
        }
    }
}
