import bb.cascades 1.3
import bb.device 1.2

//This is the ListItemComponent created for the list view on a Z10.
Sheet {
    id: sheet
    property bool touchListening: false
    property double height: _app.getSettings("deviceHeight", 2000)
    property double width: _app.getSettings("deviceWidth", 2000)    
    peekEnabled: false
    Page {
            Container {            
                id: mainContainer
                layout: DockLayout {}
                background: Color.create("#ff8fff01")            
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                minHeight: height
                minWidth: width * 3
                ScrollView {                
                    id: mainScrollView
                    scrollRole: ScrollRole.Main
                    scrollViewProperties.scrollMode: ScrollMode.Horizontal
                    property int startX
                    property int stopX
                    property int minimumDistance: ui.du(36)
                    eventHandlers: [
                        TouchKeyboardHandler {
                            id: touchKeyboard
                            onTouch: {
                                if (event.touchType == TouchType.Down) {
                                    mainScrollView.startX = event.screenX
                                    return
                                }
                                if (event.touchType == TouchType.Up) {
                                    mainScrollView.stopX = event.screenX
                                    var distance = mainScrollView.stopX - mainScrollView.startX
                                    if (distance > mainScrollView.minimumDistance) {
                                        console.log("Swiped right " + distance)
                                        if (movingContainer.translationX < 0)
                                            movingContainer.translationX = movingContainer.translationX + width                                        
                                    } else {
                                        if (distance < (0 - mainScrollView.minimumDistance)) {
                                            console.log("Swiped left " + distance)
                                            if (movingContainer.translationX > (0 - width * 2))
                                                movingContainer.translationX = movingContainer.translationX - width
                                        } else {
                                            console.log("Distance too short...")
                                            }
                                    }
                                return
                                }
                            }
                        }
                    ]
                    onTouch: {
                        if (event.isDown()) {
                            startX = event.windowX
                        }
                        if (event.isUp()) {
                            stopX = event.windowX
                            var distance = stopX - startX
                            if (distance > minimumDistance) {
                                console.log("Swiped right " + distance)
                                if (movingContainer.translationX < 0)
                                    movingContainer.translationX = movingContainer.translationX + width                                        
                            } else {
                                if (distance < (0 - minimumDistance)) {
                                    console.log("Swiped left " + distance)
                                    if (movingContainer.translationX > (0 - width * 2))
                                        movingContainer.translationX = movingContainer.translationX - width
                                } else {
                                    console.log("Distance too short...")
                                }
                            }
                            return
                        }
                    }

                //                   minHeight: height - voltLogoContainer.minHeight
//                    minWidth: width * 3
//                    translationY: voltLogoContainer.minHeight
                    Container {
                        id: movingContainer
                        layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
                        //					horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Center
                        minHeight: height				
                        Container {
                            preferredWidth: width
                            verticalAlignment: VerticalAlignment.Center
                            Tutorial1 {
                                horizontalAlignment: HorizontalAlignment.Center
                            }
                        }
                        Container {
                            preferredWidth: width
                            verticalAlignment: VerticalAlignment.Center
                            Tutorial2 {
                                horizontalAlignment: HorizontalAlignment.Center
                            }
                        }
                        Container {
                            preferredWidth: width
                            verticalAlignment: VerticalAlignment.Center
                            Tutorial3 {
                                horizontalAlignment: HorizontalAlignment.Center
                            }
                        }                            
                    }
                }
            }                    
    }
}
