import bb.cascades 1.3
import timer.library 1.0

Container {
    onCreationCompleted: timer.start()
    rightPadding: ui.sdu(3) // 30
    leftPadding: rightPadding
    topPadding: rightPadding
    Label {
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
        multiline: true
        textStyle.fontSize: FontSize.Large
        textStyle.textAlign: TextAlign.Center
        text: qsTr("Volt will always give you an estimated battery percentage left. There's a Trust-Meter at the bottom, the higher it is, the higher you can trust the Volt percentage shown. To get it at the top, you'll need to let your battery die at least once from a full charge, making sure you don't plug the USB cable during discharge.") + Retranslate.onLocaleOrLanguageChanged
    }
    TrustMeter {
        id: trustMeter
        trust: 3
    }
    Container {
        topPadding: ui.sdu(5) // 50
        horizontalAlignment: HorizontalAlignment.Center
        CustomButton {
            text: qsTr("Got it") + Retranslate.onLocaleOrLanguageChanged
            onClicked: {
                _app.saveSettings("firstRun", false)
                sheet.close()
            }
        }
    }
    attachedObjects: [
        QTimer{
            id : timer
            interval : 3000
            onTimeout: trustMeter.trust = Math.round(Math.random() * 3) + 1
        }
    ]
}
