import bb.cascades 1.3
import bb.system 1.2

Page {
    actions: [
        ActionItem {
            title: qsTr("Rate Volt") + Retranslate.onLanguageChanged
            ActionBar.placement: ActionBarPlacement.Signature
            imageSource: "asset:///images/bbw.png"
            onTriggered: invoke.trigger("bb.action.OPEN")
        }
    ]
    Container {
        background: Color.create("#ff8fff01")            
        ScrollView {
            Container {            
                topPadding: ui.sdu(3) // 30
                bottomPadding: topPadding
                leftPadding: topPadding
                rightPadding: topPadding           
                layout: StackLayout {}
                LineDivider {}
                Container {                
                    leftPadding: ui.sdu(7) // 70
                    rightPadding: leftPadding
                    topPadding: ui.sdu(3) // 30
                    horizontalAlignment: HorizontalAlignment.Center
                    Label {
                        text: qsTr("Developed by\nRoger Leblanc\nVersion: ") + Retranslate.onLanguageChanged + Application.applicationVersion
                        //                    textStyle.color: Color.Gray
                        horizontalAlignment: HorizontalAlignment.Center
                        multiline: true
                    }
                    Container {
                        layout: StackLayout {
                            orientation: LayoutOrientation.LeftToRight
                        }
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                        bottomPadding: ui.sdu(3) // 30
                        Label {
                            text: qsTr("Contact dev :") + Retranslate.onLanguageChanged
                            verticalAlignment: VerticalAlignment.Center
                            //                        textStyle.color: Color.Gray
                            horizontalAlignment: HorizontalAlignment.Center
                        }            
                        ImageButton {
                            defaultImageSource: "asset:///images/ic_email.png"
                            horizontalAlignment: HorizontalAlignment.Center
                            verticalAlignment: VerticalAlignment.Center
                            onClicked: {
                                _app.invoke("EMAIL");
                            }                    
                        }                                
                        ImageButton {
                            defaultImageSource: "asset:///images/ic_bbm.png"
                            horizontalAlignment: HorizontalAlignment.Center
                            verticalAlignment: VerticalAlignment.Center
                            onClicked: {
                                _app.invoke("BBM");
                            }                    
                        }    
                        ImageButton {
                            defaultImageSource: "asset:///images/ic_twitter.png"
                            horizontalAlignment: HorizontalAlignment.Center
                            verticalAlignment: VerticalAlignment.Center
                            onClicked: {
                                _app.invoke("TWITTER");
                            }                    
                        }    
                    }            
                    Container {
                        layout: StackLayout {
                            orientation: LayoutOrientation.LeftToRight
                        }
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                        bottomPadding: ui.sdu(3) // 30
                        Label {
                            text: qsTr("Other apps from this dev :") + Retranslate.onLanguageChanged
                            verticalAlignment: VerticalAlignment.Center
                            //                      textStyle.color: Color.Gray
                            horizontalAlignment: HorizontalAlignment.Center
                        }            
                        ImageButton {
                            defaultImageSource: "asset:///images/bbw.png"
                            onClicked: {
                                _app.invoke("BBW");
                            }                    
                        }    
                    }            
                }            
                LineDivider {}
                TrustMeterCheckPoint {}
                LineDivider {}
                TimeSpent {}
                LineDivider {}
                LizMeyerCredits {}
                LineDivider {}
                Container {
                    visible: false
                    id: aboutBattery
                    leftPadding: ui.sdu(3) // 30
                    rightPadding: leftPadding
                    topPadding: ui.sdu(3) // 30
                    bottomPadding: topPadding
                    horizontalAlignment: HorizontalAlignment.Center
                    animations: [
                        TranslateTransition {
                            id: translate1
                            toX: aboutBattery.translationX + ui.sdu(5) // 50
                            duration: 1000
                            onEnded: {
//                                unpluggedImageView.imageSource = _app.getJsonValue("saveDataToMap") ? "asset:///images/checked.png" : "asset:///images/notChecked.png"
                            }
                        }
                    ]
                    Label {
                        horizontalAlignment: HorizontalAlignment.Center
                        text: qsTr("Battery Informations") + Retranslate.onLocaleOrLanguageChanged
                        textStyle.base: SystemDefaults.TextStyles.TitleText
                    }
                    Label {
                        horizontalAlignment: HorizontalAlignment.Center
                        text: _app.getBatteryInfos()
                        multiline: true
                    }
                }
            }
        }
    }
}
