import bb.cascades 1.3

Page {
    actions: [
        ActionItem {
            title: qsTr("Rate Volt") + Retranslate.onLanguageChanged
            ActionBar.placement: ActionBarPlacement.Signature
            imageSource: "asset:///images/bbw.png"
            onTriggered: invoke.trigger("bb.action.OPEN")
        }
    ]
    Container {
        background: Color.create("#ff8fff01")            
        ScrollView {
            Container {
                topPadding: ui.sdu(3) // 30
                bottomPadding: topPadding
                leftPadding: topPadding
                rightPadding: topPadding           
                LineDivider {}
                HelpItem {
                    question: qsTr("What is a Trust-Meter?") + Retranslate.onLocaleOrLanguageChanged
                    answer: qsTr("Getting reliable battery data is hard, and this level will tell you if the percentage shown by Volt can be trusted or not. For tips to get in the green zone, check the About page.") + Retranslate.onLocaleOrLanguageChanged
                }
                HelpItem {
                    question: qsTr("Volt is showing an impossible battery value, how come?") + Retranslate.onLocaleOrLanguageChanged
                    answer: qsTr("Getting to know your battery is essential for Volt, until you perform a full discharge cycle, Volt might show unreliable results.") + Retranslate.onLocaleOrLanguageChanged
                }
                HelpItem {
                    question: qsTr("What is a full discharge cycle?") + Retranslate.onLocaleOrLanguageChanged
                    answer: qsTr("It's when you start the day with your OS stating 97% or more and let it discharge completely until it dies without plugging your USB cable even once during discharge.") + Retranslate.onLocaleOrLanguageChanged
                }
                HelpItem {
                    question: qsTr("I want to see the time spent on my BlackBerry, how do I do that?") + Retranslate.onLocaleOrLanguageChanged
                    answer: qsTr("Just click anywhere in the main screen to toggle between 'Volt battery level' and 'Time spent on your BlackBerry' view.") + Retranslate.onLocaleOrLanguageChanged
                }
                HelpItem {
                    question: qsTr("Will the app loose data if I close the Active Frame?") + Retranslate.onLocaleOrLanguageChanged
                    answer: qsTr("Not at all, it's an headless app and will continue to run in the background. We recommend using UpFront app as an Active Frame alternative to save battery life.") + Retranslate.onLocaleOrLanguageChanged
                }
                HelpItem {
                    question: qsTr("Can I swap batteries?") + Retranslate.onLocaleOrLanguageChanged
                    answer: qsTr("Yes, but you'll need to do the full discharge cycle again for every new battery, even if it's the same size as the other battery. You'll not loose data collected with your other battery.") + Retranslate.onLocaleOrLanguageChanged
                }
                HelpItem {
                    question: qsTr("Volt seem to collect a lot of data, is my data safe?") + Retranslate.onLocaleOrLanguageChanged
                    answer: qsTr("Yes. Volt needs to store a lot of data to get to know your battery behavior, but it's all done locally and nothing is sent to the developer or any other third party.") + Retranslate.onLocaleOrLanguageChanged
                }
                HelpItem {
                    question: qsTr("Will using Volt drain my battery?") + Retranslate.onLocaleOrLanguageChanged
                    answer: qsTr("Volt needs to run in the background to collect data, so it will surely takes some part of your battery life as any other app would do. We try very hard to minimize the impact of Volt on your battery, and many users have reported really low battery consumption. You can look at your own battery stats by going to your phone Settings -> App Manager -> Device Monitor -> Battery tab.") + Retranslate.onLocaleOrLanguageChanged
                }
                HelpItem {
                    question: qsTr("BlackBerry World description says Volt connects to UpFront, what does that means?") + Retranslate.onLocaleOrLanguageChanged
                    answer: qsTr("UpFront is an app that allows multiple headless apps to share the same Active Frame, making it a good solution to minimize battery consumption (1 Active Frame instead of up to 8). It's a free app that can be downloaded at http://appworld.blackberry.com/webstore/content/55423610") + Retranslate.onLocaleOrLanguageChanged
                }
            }
        }
    }
}
